NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Routing.SBendCornerCollection Member List

This is the complete list of members for NXOpen.Routing.SBendCornerCollection, including all inherited members.

AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
ComputeSBend(NXOpen.Point3d startPnt, NXOpen.Point3d endPnt, NXOpen.Vector3d lineVec1, NXOpen.Vector3d lineVec2, double radius, int sbendType, out NXOpen.Spline bendCurve)NXOpen.Routing.SBendCornerCollectioninline
ComputeSBendData(NXOpen.Point3d startPnt, NXOpen.Point3d endPnt, NXOpen.Vector3d lineVec1, NXOpen.Vector3d lineVec2, double radius, int sbendType, out NXOpen.Point3d extensionPt1, out NXOpen.Point3d extensionPt2, out NXOpen.Point3d arc1StartPt, out NXOpen.Point3d arc1EndPt, out NXOpen.Point3d arc2StartPt, out NXOpen.Point3d arc2EndPt)NXOpen.Routing.SBendCornerCollectioninline
CreateCornerByBendRadius(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRadius, int sbendType)NXOpen.Routing.SBendCornerCollectioninline
CreateCornerByBendRatio(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRatio, int sbendType)NXOpen.Routing.SBendCornerCollectioninline
CreateCornerBySegBendRadius(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, NXOpen.Routing.SplineSegment segment, int sbendType, double bendRadius)NXOpen.Routing.SBendCornerCollectioninline
CreateCornerBySegBendRatio(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, NXOpen.Routing.SplineSegment segment, int sbendType, double bendRatio)NXOpen.Routing.SBendCornerCollectioninline
EditCornerByBendRadius(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRadius, int sbendType, NXOpen.Routing.SBendCorner sbend)NXOpen.Routing.SBendCornerCollectioninline
EditCornerByBendRatio(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRatio, int sbendType, NXOpen.Routing.SBendCorner sbend)NXOpen.Routing.SBendCornerCollectioninline
EnumerateMoveNext(ref Tag currentTag, byte[] state)NXOpen.Routing.SBendCornerCollectioninlineprotectedvirtual
GetEnumerator()NXOpen.TaggedObjectCollectioninline
GetRcpSBendRadius(NXOpen.Routing.ControlPoint rcp)NXOpen.Routing.SBendCornerCollectioninline
GetSBendAssociatedToRcp(NXOpen.Routing.ControlPoint rcp)NXOpen.Routing.SBendCornerCollectioninline
GetSBendAssociatedToSegment(NXOpen.Routing.SplineSegment segment)NXOpen.Routing.SBendCornerCollectioninline
GetSegmentSBendRadius(NXOpen.Routing.SplineSegment segment)NXOpen.Routing.SBendCornerCollectioninline
IsRcpAssociatedToSBend(NXOpen.Routing.ControlPoint rcp)NXOpen.Routing.SBendCornerCollectioninline
NextSinkNXOpen.Utilities.NXRemotableObject
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.Routing.SBendCornerCollection
ToArray()NXOpen.Routing.SBendCornerCollectioninline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.